Package: org.gradle.api.tasks

## [Java] Interface TaskState

- `TaskState` provides information about the execution state of a Task. You can obtain a `TaskState` instance by calling Task.getState.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `getDidWork()`
    `boolean` | `getExecuted()`
    `Throwable` | `getFailure()` Returns the exception describing the task failure, if any.
    `String` | `getSkipMessage()` Returns a message describing why the task was skipped.
    `boolean` | `getSkipped()` Returns true if the execution of this task was skipped for some reason.
    `boolean` | `getUpToDate()` Returns true if the execution of this task was skipped because the task was up-to-date.
    `void` | `rethrowFailure()` Throws the task failure, if any.

- - ### Method Detail

    - #### public boolean getDidWork()

      Checks if the task actually did any work. Even if a task executes, it may determine that it has nothing to do. For example, a compilation task may determine that source files have not changed since the last time a the task was run.

      Returns:
        true if this task has been executed and did any work.

    - #### public boolean getExecuted()

      Returns true if this task has been executed.

      Returns:
        true if this task has been executed.

    - #### @Nullable public Throwable getFailure()

      Returns the exception describing the task failure, if any.

      Returns:
        The exception, or null if the task did not fail.

    - #### @Nullable public String getSkipMessage()

      Returns a message describing why the task was skipped.

      Returns:
        the message. returns null if the task was not skipped.

    - #### public boolean getSkipped()

      Returns true if the execution of this task was skipped for some reason.

      Returns:
        true if this task has been executed and skipped.

    - #### @Incubating public boolean getUpToDate()

      Returns true if the execution of this task was skipped because the task was up-to-date.

      Returns:
        true if this task has been considered up-to-date
      Since:
        2.5

    - #### public void rethrowFailure()

      Throws the task failure, if any. Does nothing if the task did not fail.